package com.yaohun.farmingwar.listener;

import net.md_5.bungee.api.ChatMessageType;
import net.md_5.bungee.api.chat.TextComponent;
import org.bukkit.Color;
import org.bukkit.Location;
import org.bukkit.Particle;
import org.bukkit.World;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerMoveEvent;
import tools.CDTimeAPI;
import tools.RandomUtil;

import java.util.UUID;

public class GameEffectListener implements Listener {

    @EventHandler
    public void onMove(PlayerMoveEvent e) {
        Player p = e.getPlayer();
        UUID uuid = p.getUniqueId();
        Location loc = p.getLocation();
        World world = loc.getWorld();
        if (CDTimeAPI.getCD(uuid, "SummonArrowEffect") >= 1) {
            long milliseconds = CDTimeAPI.getCD(uuid, "SummonArrowEffect");
            int seconds = (int) milliseconds / 250;
            String message = "§6箭头剩余未发射: §b" + seconds + "支";
            p.spigot().sendMessage(ChatMessageType.ACTION_BAR, new TextComponent(message));
        } else if (CDTimeAPI.getCD(uuid, "bigWindill") >= 1) {
            long milliseconds = CDTimeAPI.getCD(uuid, "bigWindill");
            double seconds = (double) milliseconds / 1000;
            String message = "§6大风车倒计时: §b" + String.format("%.1f", seconds) + "秒";
            p.spigot().sendMessage(ChatMessageType.ACTION_BAR, new TextComponent(message));
        }
    }

}
